# ==================================================================
# HandUnitDynamicSimulationApp properties
# ==================================================================

# ArmarX.AdditionalPackages:  List of additional ArmarX packages which should be in the list of default packages. If you have custom packages, which should be found by the gui or other apps, specify them here. Comma separated List.
#  Attributes:
#  - Default:            Default value not mapped.
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.AdditionalPackages = Default value not mapped.


# ArmarX.ApplicationName:  Application name
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
ArmarX.ApplicationName = LeftHandUnitApp


# ArmarX.CachePath:  Path for cache files. If relative path AND env. variable ARMARX_CONFIG_DIR is set, the cache path will be made relative to ARMARX_CONFIG_DIR. Otherwise if relative it will be relative to the default ArmarX config dir (${ARMARX_WORKSPACE}/armarx_config)
#  Attributes:
#  - Default:            mongo/.cache
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.CachePath = mongo/.cache


# ArmarX.Config:  Comma-separated list of configuration files 
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.Config = ""


# ArmarX.DataPath:  Semicolon-separated search list for data files
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.DataPath = ""


# ArmarX.DefaultPackages:  List of ArmarX packages which are accessible by default. Comma separated List. If you want to add your own packages and use all default ArmarX packages, use the property 'AdditionalPackages'.
#  Attributes:
#  - Default:            Default value not mapped.
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.DefaultPackages = Default value not mapped.


# ArmarX.DependenciesConfig:  Path to the (usually generated) config file containing all data paths of all dependent projects. This property usually does not need to be edited.
#  Attributes:
#  - Default:            ./config/dependencies.cfg
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.DependenciesConfig = ./config/dependencies.cfg


# ArmarX.DisableLogging:  Turn logging off in whole application
#  Attributes:
#  - Default:            false
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.DisableLogging = false


# ArmarX.EnableProfiling:  Enable profiling of CPU load produced by this application
#  Attributes:
#  - Default:            false
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.EnableProfiling = false


# ArmarX.HandUnitDynamicSimulation.EnableProfiling:  enable profiler which is used for logging performance events
#  Attributes:
#  - Default:            false
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.HandUnitDynamicSimulation.EnableProfiling = false


# ArmarX.HandUnitDynamicSimulation.EndeffectorName:  Name of the endeffector as stored in the XML file (will publish values on EndeffectorName + 'State')
#  Attributes:
#  - Case sensitivity:   yes
#  - Required:           yes
ArmarX.HandUnitDynamicSimulation.EndeffectorName = Hand_L_EEF


# ArmarX.HandUnitDynamicSimulation.KinematicUnitName:  Name of the kinematic unit that should be used
#  Attributes:
#  - Case sensitivity:   yes
#  - Required:           yes
ArmarX.HandUnitDynamicSimulation.KinematicUnitName = Armar6KinematicUnit


# ArmarX.HandUnitDynamicSimulation.MinimumLoggingLevel:  Local logging level only for this component
#  Attributes:
#  - Default:            Undefined
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {Debug, Error, Fatal, Important, Info, Undefined, Verbose, Warning}
# ArmarX.HandUnitDynamicSimulation.MinimumLoggingLevel = Undefined


# ArmarX.HandUnitDynamicSimulation.ObjectName:  Name of IceGrid well-known object
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
ArmarX.HandUnitDynamicSimulation.ObjectName = LeftHandUnit


# ArmarX.HandUnitDynamicSimulation.RobotFileName:  VirtualRobot XML file in which the endeffector is is stored.
#  Attributes:
#  - Case sensitivity:   yes
#  - Required:           yes
# ArmarX.HandUnitDynamicSimulation.RobotFileName = ::_NOT_SET_::


# ArmarX.HandUnitDynamicSimulation.RobotStateComponentName:  Name of the RobotStateComponent that should be used
#  Attributes:
#  - Default:            RobotStateComponent
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.HandUnitDynamicSimulation.RobotStateComponentName = RobotStateComponent


# ArmarX.HandUnitDynamicSimulation.SimulatorProxyName:  Name of the simulator proxy to use.
#  Attributes:
#  - Default:            Simulator
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.HandUnitDynamicSimulation.SimulatorProxyName = Simulator


# ArmarX.HandUnitDynamicSimulation.UseLegacyWorkingMemory:  Require the legacy MemoryX working memory to be available before starting.
#  Attributes:
#  - Default:            false
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.HandUnitDynamicSimulation.UseLegacyWorkingMemory = false


# ArmarX.HandUnitDynamicSimulation.cmp.ObjectPoseStorageName:  Name of the object pose storage (only used if necessary).
#  Attributes:
#  - Default:            ObjectMemory
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.HandUnitDynamicSimulation.cmp.ObjectPoseStorageName = ObjectMemory


# ArmarX.HandUnitDynamicSimulation.inheritFrom:  No Description
#  Attributes:
#  - Default:            RobotConfig
#  - Case sensitivity:   no
#  - Required:           no
ArmarX.HandUnitDynamicSimulation.inheritFrom = RobotConfig


# ArmarX.LoadLibraries:  Libraries to load at start up of the application. Must be enabled by the Application with enableLibLoading(). Format: PackageName:LibraryName;... or /absolute/path/to/library;...
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.LoadLibraries = ""


# ArmarX.LoggingGroup:  The logging group is transmitted with every ArmarX log message over Ice in order to group the message in the GUI.
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.LoggingGroup = ""


# ArmarX.RedirectStdout:  Redirect std::cout and std::cerr to ArmarXLog
#  Attributes:
#  - Default:            true
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.RedirectStdout = true


# ArmarX.RemoteHandlesDeletionTimeout:  The timeout (in ms) before a remote handle deletes the managed object after the use count reached 0. This time can be used by a client to increment the count again (may be required when transmitting remote handles)
#  Attributes:
#  - Default:            3000
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.RemoteHandlesDeletionTimeout = 3000


# ArmarX.SecondsStartupDelay:  The startup will be delayed by this number of seconds (useful for debugging)
#  Attributes:
#  - Default:            0
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.SecondsStartupDelay = 0


# ArmarX.StartDebuggerOnCrash:  If this application crashes (segmentation fault) qtcreator will attach to this process and start the debugger.
#  Attributes:
#  - Default:            false
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.StartDebuggerOnCrash = false


# ArmarX.ThreadPoolSize:  Size of the ArmarX ThreadPool that is always running.
#  Attributes:
#  - Default:            1
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.ThreadPoolSize = 1


# ArmarX.TopicSuffix:  Suffix appended to all topic names for outgoing topics. This is mainly used to direct all topics to another name for TopicReplaying purposes.
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   yes
#  - Required:           no
# ArmarX.TopicSuffix = ""


# ArmarX.UseTimeServer:  Enable using a global Timeserver (e.g. from ArmarXSimulator)
#  Attributes:
#  - Default:            false
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.UseTimeServer = false


# ArmarX.Verbosity:  Global logging level for whole application
#  Attributes:
#  - Default:            Info
#  - Case sensitivity:   yes
#  - Required:           no
#  - Possible values: {Debug, Error, Fatal, Important, Info, Undefined, Verbose, Warning}
# ArmarX.Verbosity = Info


